If you want to use a program to create new materials, here's the example
from the programming help.
Public Sub CreateMaterial()
' Set a reference to the part document.
' This assumes a part document is active.
Dim oPartDoc As PartDocument
Set oPartDoc = ThisApplication.ActiveDocument
' Create a new material.
Dim oNewMaterial As Material
Set oNewMaterial = oPartDoc.Materials.Add("My Material", 11.37)
' Define the other properties of the material
oNewMaterial.LinearExpansion = 5.73
oNewMaterial.PoissonsRatio = 0.38
' Arbitrarily assigns the first render style in the render styles
collection.
oNewMaterial.RenderStyle = oPartDoc.RenderStyles.Item(1)
oNewMaterial.SpecificHeat = 124.3
oNewMaterial.ThermalConductivity = 310.2
oNewMaterial.UltimateTensileStrength = 210.45
oNewMaterial.YieldStrength = 185.5
oNewMaterial.YoungsModulus = 76.37
End Sub
If you want to create new materials using the user-interface use the "Style
and Standard Editor..." command from the Format menu in Inventor. From here
you can manage all of the colors and materials that are available.
--
Brian Ekins
Autodesk Inventor API